Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2104423 (CVE-2022-34918) - CVE-2022-34918 kernel: heap overflow in nft_set_elem_init()
Summary: CVE-2022-34918 kernel: heap overflow in nft_set_elem_init()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-34918
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2104586 2104591 2104592 2104593 2104594 2106306 2106307
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-06 08:45 UTC by Alex
Modified: 2022-12-05 18:34 UTC (History)
53 users (show)

Fixed In Version: Linux kernel 5.19-rc6
Doc Type: If docs needed, set a value
Doc Text:
A heap buffer overflow flaw was found in the Linux kernel’s Netfilter subsystem in the way a user provides incorrect input of the NFT_DATA_VERDICT type. This flaw allows a local user to crash or potentially escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2022-12-05 18:34:22 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:6582 0 None None None 2022-09-20 13:37:04 UTC
Red Hat Product Errata RHSA-2022:6592 0 None None None 2022-09-20 12:15:42 UTC
Red Hat Product Errata RHSA-2022:6610 0 None None None 2022-09-20 14:19:11 UTC

Description Alex 2022-07-06 08:45:11 UTC
A heap buffer overflow vulnerability was identified within the netfilter subsystem which can be exploited to achieve privilege escalation to root. In order to trigger the issue it requires the ability to create user/net namespaces. The reason of the vulnerability is the type confusion bug in nft_set_elem_init, and it is different vulnerability than similar CVE-2022-32250.

Reference:

https://lore.kernel.org/netfilter-devel/cd9428b6-7ffb-dd22-d949-d86f4869f452@randorisec.fr/T/

Comment 1 Alex 2022-07-06 16:30:07 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2104586]

Comment 3 Justin M. Forbes 2022-07-06 18:50:11 UTC
So I guess they decided against the embargo...

Comment 4 Alex 2022-07-07 08:24:23 UTC
In reply to comment #3:
> So I guess they decided against the embargo...

If patch already public for Upstream (and both description public), then embargo doesn't make sense. First description became public by mistake and then patch became public too.

Comment 13 errata-xmlrpc 2022-09-20 12:15:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6592 https://access.redhat.com/errata/RHSA-2022:6592

Comment 14 errata-xmlrpc 2022-09-20 13:36:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6582 https://access.redhat.com/errata/RHSA-2022:6582

Comment 15 errata-xmlrpc 2022-09-20 14:19:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:6610 https://access.redhat.com/errata/RHSA-2022:6610

Comment 16 Product Security DevOps Team 2022-12-05 18:34:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-34918


Note You need to log in before you can comment on or make changes to this bug.